### Enumeration

# Cogl ShaderType

since: 14

#### Declaration

    enum Cogl.ShaderType

#### Description [src]

Types of shaders.

Available since: 14

#### Members

`COGL_SHADER_TYPE_VERTEX`

  A program for processing vertices.

  - Value: `0`
  - Nickname: `None`
  - Available since: 14
`COGL_SHADER_TYPE_FRAGMENT`

  A program for processing fragments.

  - Value: `1`
  - Nickname: `None`
  - Available since: 14